RSBag - Bug #605
10 errors are not reported properly
10/02/2011 11:40 AM - J. Moringen

Status: Resolved Start date: 10/02/2011
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5

Description

Example:

[imoringe@azurit build-x86_64]$ ./bag-info /media/local_data/jmoringe/nao-long-sequence-local-senders-as-events.tide

lllegal :UTF-8 character starting at byte position 0.

Associated revisions

Revision d349cc83 - 10/03/2011 03:37 PM - J. Moringen
Added initial conditions in src/backend/tidelog/*.lisp
refs #605
- src/backend/tidelog/conditions.lisp: new file; contains
conditions used in the backend.tidelog module

src/backend/tidelog/io.lisp (scan :around t t): new method;
translate specific error conditions to generic tidelog error
conditions
(unpack :around t t): likewise
- src/backend/tidelog/package.lisp (package rsbag.backend.tidelog):
added exported symbols tidelog-condition, log-file-error,
log-file-error-source, invalid-file-structure
- cl-rsbag.asd (system cl-rsbag-tidelog): added file
src/backend/tidelog/conditions.lisp

Revision d2c8f43e - 10/03/2011 03:37 PM - J. Moringen
Added and used open-error in src/{conditions,protocol}.lisp
fixes #605
- src/conditions.lisp (open-error): new condition; signaled when
opening a bag fails
- src/protocol.lisp (open-bag :around t): new method; translate
specific conditions to generic “open-error' condition
- src/package.lisp (package rsbag): added exported symbols open-error

and open-error-source

History

#1 - 10/03/2011 03:38 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset r169.
